Enigma Developers
API ReferenceTickets

Get a ticket

GET
/v1/tickets/{ticketId}

Requires scope tickets:read.

Authorization

headerAuthorizationBearer <token>

Your organization API key: Authorization: Bearer org_…

Path Parameters

ticketId*string

The ticket's ticketId.

Response Body

The ticket.

application/json
  1. response
_id?string
ticketId?string

Human-readable ticket ID; use it in the ticket URLs.

title?string

The ticket subject.

description?string
status?TicketStatus
Value in"open""in_progress""resolved""closed"
priority?TicketPriority
Value in"low""medium""high""urgent"
assigneeId?string|null
audienceId?string|null
organizationId?string
resolutionDate?|
Formatdate-time
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
curl -X GET 'https://api.enigma-ai.com/v1/tickets/string'
{  "_id": "string",  "ticketId": "string",  "title": "string",  "description": "string",  "status": "open",  "priority": "low",  "assigneeId": "string",  "audienceId": "string",  "organizationId": "string",  "resolutionDate": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}